Loading...
Searching...
No Matches
Opm::AquiferNumerical< TypeTag > Class Template Reference
Inheritance diagram for Opm::AquiferNumerical< TypeTag >:

## Public Types

enum | { dimWorld = GridView::dimensionworld }
enum | { numPhases = FluidSystem::numPhases }
using | BlackoilIndices = GetPropType<TypeTag, Properties::Indices>
using | ElementContext = GetPropType<TypeTag, Properties::ElementContext>
using | ExtensiveQuantities = GetPropType<TypeTag, Properties::ExtensiveQuantities>
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | GridView = GetPropType<TypeTag, Properties::GridView>
using | IntensiveQuantities = GetPropType<TypeTag, Properties::IntensiveQuantities>
using | MaterialLaw = GetPropType<TypeTag, Properties::MaterialLaw>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>
using | Eval = DenseAd::Evaluation<Scalar, numEq>
using | Toolbox = MathToolbox<Eval>
Public Types inherited from Opm::AquiferInterface< TypeTag >
using | FluidSystem = GetPropType<TypeTag, Properties::FluidSystem>
using | RateVector = GetPropType<TypeTag, Properties::RateVector>
using | Simulator = GetPropType<TypeTag, Properties::Simulator>
using | Scalar = GetPropType<TypeTag, Properties::Scalar>

## Public Member Functions

| AquiferNumerical (const SingleNumericalAquifer &aquifer, const Simulator &simulator)
void | initFromRestart (const data::Aquifers &aquiferSoln) override
void | beginTimeStep () override
void | addToSource (RateVector &, const unsigned, const unsigned) override
void | endTimeStep () override
data::AquiferData | aquiferData () const override
void | initialSolutionApplied () override
void | computeFaceAreaFraction (const std::vector< Scalar > &) override
Scalar | totalFaceArea () const override
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const AquiferNumerical &rhs) const
Scalar | cumulativeFlux () const
Public Member Functions inherited from Opm::AquiferInterface< TypeTag >
| AquiferInterface (int aqID, const Simulator &simulator)
template<class Context>
void | addToSource (RateVector &rates, const Context &context, const unsigned spaceIdx, const unsigned timeIdx)
int | aquiferID () const

## Static Public Member Functions

static AquiferNumerical | serializationTestObject (const Simulator &simulator)

## Static Public Attributes

static constexpr int | numEq = BlackoilIndices::numEq

## Additional Inherited Members

Protected Member Functions inherited from Opm::AquiferInterface< TypeTag >
bool | co2store_or_h2store_ () const
int | phaseIdx_ () const
Protected Attributes inherited from Opm::AquiferInterface< TypeTag >
const int | aquiferID_ {}
const Simulator & | simulator_

## Member Function Documentation

## addToSource()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::addToSource | ( | RateVector & | ,
|  | const unsigned | ,
|  | const unsigned | )

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## aquiferData()

template<typename TypeTag>

data::AquiferData Opm::AquiferNumerical< TypeTag >::aquiferData | ( |  | ) | const

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## beginTimeStep()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::beginTimeStep | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## computeFaceAreaFraction()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::computeFaceAreaFraction | ( | const std::vector< Scalar > & |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## endTimeStep()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::endTimeStep | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## initFromRestart()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::initFromRestart | ( | const data::Aquifers & | aquiferSoln | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## initialSolutionApplied()

template<typename TypeTag>

void Opm::AquiferNumerical< TypeTag >::initialSolutionApplied | ( |  | ) |

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

## totalFaceArea()

template<typename TypeTag>

Scalar Opm::AquiferNumerical< TypeTag >::totalFaceArea | ( |  | ) | const

inline override virtual

Implements Opm::AquiferInterface< TypeTag >.

The documentation for this class was generated from the following file:

- opm/simulators/aquifers/AquiferNumerical.hpp